Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.rpc.server
Class HostedModeClientOracle

    java.lang.Object
      com.google.gwt.rpc.server.ClientOracle
          com.google.gwt.rpc.server.HostedModeClientOracle

    public final class HostedModeClientOracle

extends ClientOracle

A ClientOracle that is used for hosted-mode clients. This type only implements a limited subset of the ClientOracle functionality.

Constructor Summary
`HostedModeClientOracle()`

Method Summary
`com.google.gwt.rpc.client.ast.CommandSink` | `createCommandSink(java.io.OutputStream out)` Create a CommandSink that can encode a payload for the client.
`java.lang.String` | `createUnusedIdent(java.lang.String ident)` Unimplemented.
`CastableTypeData` | `getCastableTypeData(java.lang.Class<?> clazz)` Returns the Json castableType data for a given type.
`java.lang.String` | `getFieldId(java.lang.Class<?> clazz, java.lang.String fieldName)` Unimplemented.
`java.lang.String` | `getFieldId(java.lang.Enum<?> value)` Unimplemented.
`java.lang.String` | `getFieldId(java.lang.String className, java.lang.String fieldName)` Unimplemented.
`Pair<java.lang.Class<?>,java.lang.String>` | `getFieldName(java.lang.Class<?> clazz, java.lang.String fieldId)` Return the name of a field from a client-side id.
`java.lang.String` | `getMethodId(java.lang.Class<?> clazz, java.lang.String methodName, java.lang.Class<?>... args)` Unimplemented.
`java.lang.String` | `getMethodId(java.lang.String className, java.lang.String methodName, java.lang.String... jsniArgTypes)` Unimplemented.
`java.lang.reflect.Field[]` | `getOperableFields(java.lang.Class<?> clazz)` Falls back to reflectively analyzing the provided class.
`int` | `getQueryId(java.lang.Class<?> clazz)` Unimplemented.
`java.lang.String` | `getSeedName(java.lang.Class<?> clazz)` Unimplemented.
`java.lang.String` | `getTypeName(java.lang.String seedName)` Unimplemented.
`boolean` | `isScript()` Unimplemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HostedModeClientOracle

    public HostedModeClientOracle()

Method Detail

### createCommandSink

    public com.google.gwt.rpc.client.ast.CommandSink createCommandSink(java.io.OutputStream out)
                                                                throws java.io.IOException

  Description copied from class: `ClientOracle`
  Create a CommandSink that can encode a payload for the client.

  Specified by:
    `createCommandSink` in class `ClientOracle`
  Parameters:
    `out` - the OutputStream to which the output will be written
  Returns:
    a CommandSink
  Throws:
    `java.io.IOException` - if the CommandSink cannot write to the OutputStream

### createUnusedIdent

    public java.lang.String createUnusedIdent(java.lang.String ident)

  Unimplemented.

  Specified by:
    `createUnusedIdent` in class `ClientOracle`

### getCastableTypeData

    public CastableTypeData getCastableTypeData(java.lang.Class<?> clazz)

  Description copied from class: `ClientOracle`
  Returns the Json castableType data for a given type.

  Specified by:
    `getCastableTypeData` in class `ClientOracle`

### getFieldId

    public java.lang.String getFieldId(java.lang.Class<?> clazz,
                                       java.lang.String fieldName)

  Unimplemented.

  Specified by:
    `getFieldId` in class `ClientOracle`

### getFieldId

    public java.lang.String getFieldId(java.lang.Enum<?> value)

  Unimplemented.

  Specified by:
    `getFieldId` in class `ClientOracle`

### getFieldId

    public java.lang.String getFieldId(java.lang.String className,
                                       java.lang.String fieldName)

  Unimplemented.

  Specified by:
    `getFieldId` in class `ClientOracle`

### getFieldName

    public Pair<java.lang.Class<?>,java.lang.String> getFieldName(java.lang.Class<?> clazz,
                                                                  java.lang.String fieldId)

  Description copied from class: `ClientOracle`
  Return the name of a field from a client-side id. This will search superclasses for the first instance of the named field.

  Specified by:
    `getFieldName` in class `ClientOracle`
  Returns:
    The field's declaring class and the name of the field

### getMethodId

    public java.lang.String getMethodId(java.lang.Class<?> clazz,
                                        java.lang.String methodName,
                                        java.lang.Class<?>... args)

  Unimplemented.

  Specified by:
    `getMethodId` in class `ClientOracle`

### getMethodId

    public java.lang.String getMethodId(java.lang.String className,
                                        java.lang.String methodName,
                                        java.lang.String... jsniArgTypes)

  Unimplemented.

  Specified by:
    `getMethodId` in class `ClientOracle`

### getOperableFields

    public java.lang.reflect.Field[] getOperableFields(java.lang.Class<?> clazz)

  Falls back to reflectively analyzing the provided class.

  Specified by:
    `getOperableFields` in class `ClientOracle`

### getQueryId

    public int getQueryId(java.lang.Class<?> clazz)

  Unimplemented.

  Specified by:
    `getQueryId` in class `ClientOracle`

### getSeedName

    public java.lang.String getSeedName(java.lang.Class<?> clazz)

  Unimplemented.

  Specified by:
    `getSeedName` in class `ClientOracle`

### getTypeName

    public java.lang.String getTypeName(java.lang.String seedName)

  Unimplemented.

  Specified by:
    `getTypeName` in class `ClientOracle`

### isScript

    public boolean isScript()

  Unimplemented.

  Specified by:
    `isScript` in class `ClientOracle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD